Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IFaceDetectResult Class Reference

Exposes the image rect and confidence level of face detect result object returned by IFaceDetectMetadata. More...

`#include <FaceDetect.h>`

Inheritance diagram for Argus::Ext::IFaceDetectResult:

List of all members.

## Public Member Functions

virtual NormalizedRect | getRect () const =0
virtual float | getConfidence () const =0

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IFaceDetectResult ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Exposes the image rect and confidence level of face detect result object returned by IFaceDetectMetadata.

Definition at line 134 of file FaceDetect.h.

## Constructor & Destructor Documentation

Argus::Ext::IFaceDetectResult::~IFaceDetectResult | ( |  | ) |

inlineprotected

Definition at line 154 of file FaceDetect.h.

## Member Function Documentation

virtual float Argus::Ext::IFaceDetectResult::getConfidence | ( |  | ) | const

pure virtual

Returns:
  the confidence level of the result. This confidence is in the range [0, 1], where 1 is the highest confidence. For a typical application that highlights faces in a scene, filtering results to ignore those with a confidence less than 0.5 is suggested.

virtual NormalizedRect Argus::Ext::IFaceDetectResult::getRect | ( |  | ) | const

pure virtual

Returns:
  the normlized coordinates of the region containing the face, relative to the uncropped image sensor mode size.

static const InterfaceID& Argus::Ext::IFaceDetectResult::id | ( |  | ) |

inlinestatic

Definition at line 137 of file FaceDetect.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/FaceDetect.h